Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::CustomSecurityHandler Class Reference
Inheritance diagram for foxit::pdf::CustomSecurityHandler:

## Public Member Functions
| CustomSecurityHandler ()
| Constructor.
| CustomSecurityHandler (const foxit::pdf::SecurityHandler &other)
| Constructor, with parent class object. More...
bool | Initialize (const CustomEncryptData &encrypt_data, const CustomSecurityCallback *callback, const char *encrypt_info="")
| Initialize current custom security handler. More...
Public Member Functions inherited from foxit::pdf::SecurityHandler
| SecurityHandler ()
| Constructor.
| SecurityHandler (const SecurityHandler &other)
| Constructor, with another security handler object. More...
virtual | ~SecurityHandler ()
| Destructor.
virtual PDFDoc::EncryptType | GetSecurityType ()
| Get the encryption type of current security handler. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const SecurityHandler &other)
| Not equal operator. More...
SecurityHandler & | operator= (const SecurityHandler &other)
| Assign operator. More...
bool | operator== (const SecurityHandler &other)
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::SecurityHandler
enum | CipherType { e_CipherNone = 0, e_CipherRC4 = 1, e_CipherAES = 2 }
| Enumeration for Encryption Algorithm. More...

## Detailed Description

This class represents a custom security handler, used for custom encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ CustomSecurityHandler()

foxit::pdf::CustomSecurityHandler::CustomSecurityHandler | ( | const foxit::pdf::SecurityHandler & | other | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ Initialize()

bool foxit::pdf::CustomSecurityHandler::Initialize | ( | const CustomEncryptData & | encrypt_data,
|  | const CustomSecurityCallback * | callback,
|  | const char * | encrypt_info = `""`
| ) |  |

Initialize current custom security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.
Foxit PDF SDK may release the security callback object by callback function SecurityCallback::Release, when current security handler is released and find that the callback object has not been used by other object. So, user is recommended not to use the security callback object any more, after current security handler is released.

Parameters

  [in] | encrypt_data | A custom encrypt data object.
  [in] | callback | A valid CustomSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be NULL.
  [in] | encrypt_info | The encryption information,which will be stored to document encryption dictionary. This can be an empty string. Default value: an empty string.

Returns
  true means success, while false means failure.